package com.shkj.wcs.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wcs.domain.BasePoint;
import com.shkj.wcs.domain.BasePointGroup;
import com.shkj.wcs.vo.BasePointGroupVo;

import java.util.List;

/**
 * AGV接驳点位Mapper接口
 *
 * @author zjx
 * @date 2023-04-20
 */
public interface BasePointGroupMapper extends BaseMapper<BasePointGroup> {
    /**
     * 查询点位分组
     *
     * @param id 点位分组主键
     * @return 点位分组
     */
    public BasePointGroup selectBasePointGroupById(Long id);

    /**
     * 查询点位分组列表
     *
     * @param basePointGroup 点位分组
     * @return 点位分组集合
     */
    public List<BasePointGroup> selectBasePointGroupList(BasePointGroup basePointGroup);

    public List<BasePointGroupVo> selectBasePointGroupListVo(BasePointGroup basePointGroup);

    /**
     * 新增点位分组
     *
     * @param basePointGroup 点位分组
     * @return 结果
     */
    public int insertBasePointGroup(BasePointGroup basePointGroup);

    /**
     * 修改点位分组
     *
     * @param basePointGroup 点位分组
     * @return 结果
     */
    public int updateBasePointGroup(BasePointGroup basePointGroup);

    /**
     * 删除点位分组
     *
     * @param id 点位分组主键
     * @return 结果
     */
    public int deleteBasePointGroupById(Long id);


    public  List<BasePointGroup> selectBasePointGroup();

}
